/// <reference types="react" />
export declare const NavigationItem: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledIcon: import("styled-components").StyledComponent<import("react").FC<import("@netdata/netdata-ui").IconProps>, any, import("@netdata/netdata-ui/lib/theme/declarations").WrappedTheme, never>;
export declare const Hostname: import("styled-components").StyledComponent<import("react").FC<import("@netdata/netdata-ui/lib/components/typography").TypographyProps & import("react").ClassAttributes<HTMLSpanElement> & import("react").HTMLAttributes<HTMLSpanElement>>, any, import("@netdata/netdata-ui/lib/theme/declarations").WrappedTheme, never>;
declare type AlarmType = "critical" | "warning";
export declare const AlarmIndicator: import("styled-components").StyledComponent<"div", any, {
    alarmType: AlarmType;
}, never>;
export {};
